BARMAN-TERMINATE-PROCESS(1)

NAME
barman-terminate-process - Barman Sub-Commands

SYNOPSIS

            terminate-process SERVER_NAME TASK_NAME

DESCRIPTION

The barman terminate-process command terminates an active Barman subprocess on a specified server. The target process is identified by its task name (for example, backup or receive-wal). Note that only processes that are running on the server level can be terminated, so global processes like cron or config-update can not be terminated by this command.

You can also use the output of barman list-processes to display all active processes for a given server and determine which tasks can be terminated. More details about this command can be found in barman list-processes.

PARAMETERS

    SERVER_NAME
        The name of the server where the subprocess is running.

    TASK_NAME
        The task name that identifies the subprocess to be terminated.

AUTHOR
EnterpriseDB

COPYRIGHT
© Copyright EnterpriseDB UK Limited 2011-2025